import { LevelBlockCondition, LevelLeverCondition } from "../Commandeer/level/levelTypes";
import { vector3 } from "../Commandeer/utils/vectorUtils";
import { MinecraftBlockTypes } from "../vanilla-data/mojang-block";

let mission2part1Conditions: LevelBlockCondition = {
  conditions: [
    {
      position: vector3(2455, -2, 11),
      block: MinecraftBlockTypes.FireCoralBlock,
    },
    {
      position: vector3(2456, -2, 11),
      block: MinecraftBlockTypes.FireCoralBlock,
    },
    {
      position: vector3(2457, -2, 11),
      block: MinecraftBlockTypes.FireCoralBlock,
    },
    {
      position: vector3(2458, -2, 11),
      block: MinecraftBlockTypes.RedNetherBrick,
    },
    {
      position: vector3(2459, -2, 11),
      block: MinecraftBlockTypes.RedNetherBrick,
    },
    {
      position: vector3(2460, -2, 11),
      block: MinecraftBlockTypes.FireCoralBlock,
    },
    {
      position: vector3(2461, -2, 11),
      block: MinecraftBlockTypes.FireCoralBlock,
    },
    {
      position: vector3(2462, -2, 11),
      block: MinecraftBlockTypes.RedNetherBrick,
    },
    {
      position: vector3(2463, -2, 11),
      block: MinecraftBlockTypes.FireCoralBlock,
    },
    {
      position: vector3(2464, -2, 11),
      block: MinecraftBlockTypes.FireCoralBlock,
    },
  ],
};

export { mission2part1Conditions };
